lists.arthurdejong.org
RSS feed

svn2cl commit: r159 - svn2cl

[Date Prev][Date Next] [Thread Prev][Thread Next]

svn2cl commit: r159 - svn2cl



Author: arthur
Date: Wed Mar  6 21:56:00 2013
New Revision: 159
URL: http://arthurdejong.org/viewvc/svn2cl?revision=159&view=revision

Log:
also expose the --ticket-prefix option in the shell script wrapper (thanks 
Gaute Lote)

Modified:
   svn2cl/svn2cl.1
   svn2cl/svn2cl.sh

Modified: svn2cl/svn2cl.1
==============================================================================
--- svn2cl/svn2cl.1     Wed Mar  6 21:40:12 2013        (r158)
+++ svn2cl/svn2cl.1     Wed Mar  6 21:56:00 2013        (r159)
@@ -1,4 +1,4 @@
-.\" Copyright (C) 2005, 2006, 2007, 2008, 2009, 2010 Arthur de Jong
+.\" Copyright (C) 2005, 2006, 2007, 2008, 2009, 2010, 2013 Arthur de Jong
 .\"
 .\" Redistribution and use in source and binary forms, with or without
 .\" modification, are permitted provided that the following conditions
@@ -103,6 +103,13 @@
 .br
 This option is ignored for normal text output.
 
+.TP
+\fB\-\-ticket\-prefix\fR=\fINAME\fR
+This option is used for finding ticket markers in the commit message (when the 
\fB\-\-ticket\-link\fR option is used).
+The default value is '\fB#\fP'.
+.br
+This option is ignored for normal text output.
+
 .TP
 \fB\-\-ignore\-message\-starting\fR=\fISTRING\fR
 Any log messages that start with the specified \fISTRING\fR are ignored and 
will not show up in the output.

Modified: svn2cl/svn2cl.sh
==============================================================================
--- svn2cl/svn2cl.sh    Wed Mar  6 21:40:12 2013        (r158)
+++ svn2cl/svn2cl.sh    Wed Mar  6 21:56:00 2013        (r159)
@@ -57,6 +57,7 @@
 TITLE="ChangeLog"
 REVISION_LINK="#r"
 TICKET_LINK=""
+TICKET_PREFIX="#"
 TMPFILES=""
 AWK="awk"
 
@@ -134,6 +135,14 @@
       TICKET_LINK=`echo "$1" | sed 's/^--[a-z-]*=//'`
       shift
       ;;
+    --ticket-prefix)
+      TICKET_PREFIX="$2"
+      shift 2 || { echo "$prog: option requires an argument -- $1";exit 1; }
+      ;;
+    --ticket-prefix=*)
+      TICKET_PREFIX=`echo "$1" | sed 's/^--[a-z-]*=//'`
+      shift
+      ;;
     --ignore-message-starting)
       IGNORE_MESSAGE_STARTING="$2"
       shift 2 || { echo "$prog: option requires an argument -- $1";exit 1; }
@@ -330,6 +339,7 @@
            --stringparam title "$TITLE" \
            --stringparam revision-link "$REVISION_LINK" \
            --stringparam ticket-link "$TICKET_LINK" \
+           --stringparam ticket-prefix "$TICKET_PREFIX" \
            --stringparam ignore-message-starting "$IGNORE_MESSAGE_STARTING" \
            --nowrite \
            --nomkdir \
-- 
To unsubscribe send an email to
svn2cl-commits-unsubscribe@lists.arthurdejong.org or see
http://lists.arthurdejong.org/svn2cl-commits/